package cc.smtweb.system.bpm.web.design.form;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by Akmm at 2022/4/15 17:26
 */
@SwTable("ASP_MODEL_FORM")
public class ModelForm extends DefaultEntity {
    public static final String ENTITY_NAME = "ASP_MODEL_FORM";

    public ModelForm() {
        super(ENTITY_NAME);
    }

    public long getId() {
        return getLong("mf_id");
    }

    public void setId(long mfId) {
        put("mf_id", mfId);
    }

    public long getPrjId() {
        return getLong("mf_prj_id");
    }

    public void setPrjId(long mfPrjId) {
        put("mf_prj_id", mfPrjId);
    }

    public long getMcId() {
        return getLong("mf_mc_id");
    }

    public void setMcId(long mfMcId) {
        put("mf_mc_id", mfMcId);
    }

    public String getName() {
        return getStr("mf_name");
    }

    public void setName(String mfName) {
        put("mf_name", mfName);
    }

    public String getTitle() {
        return getStr("mf_title");
    }

    public void setTitle(String mfTitle) {
        put("mf_title", mfTitle);
    }

    public int getType() {
        return getInt("mf_type");
    }

    public void setType(int mfType) {
        put("mf_type", mfType);
    }

    public String getService() {
        return getStr("mf_service");
    }

    public void setService(String mfService) {
        put("mf_service", mfService);
    }

    public String getContent() {
        return getStr("mf_content");
    }

    public void setContent(String mfContent) {
        put("mf_content", mfContent);
    }

    public String getOption() {
        return getStr("mf_option");
    }

    public void setOption(String mf_option) {
        put("mf_option", mf_option);
    }

    public String getDataset() {
        return getStr("mf_dataset");
    }

    public void setDataset(String mf_dataset) {
        put("mf_dataset", mf_dataset);
    }

    public long getCreateUid() {
        return getLong("mf_create_uid");
    }

    public void setCreateUid(long mfCreateUid) {
        put("mf_create_uid", mfCreateUid);
    }

    public long getUpdateUid() {
        return getLong("mf_update_uid");
    }

    public void setUpdateUid(long mfUpdateUid) {
        put("mf_update_uid", mfUpdateUid);
    }

    public long getCreateAt() {
        return getLong("mf_create_at");
    }

    public void setCreateAt(long mfCreateAt) {
        put("mf_create_at", mfCreateAt);
    }

    public long getUpdateAt() {
        return getLong("mf_update_at");
    }

    public void setUpdateAt(long mfUpdateAt) {
        put("mf_update_at", mfUpdateAt);
    }

    public String getRemark() {
        return getStr("mf_remark");
    }

    public void setRemark(String mfRemark) {
        put("mf_remark", mfRemark);
    }
}
