package cc.smtweb.system.bpm.web.design.user;

import cc.smtweb.framework.core.common.R;
import cc.smtweb.framework.core.annotation.SwParam;
import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.db.DbEngine;
import cc.smtweb.system.bpm.web.design.user.entity.UserGroupPO;
import lombok.extern.slf4j.Slf4j;

import java.util.List;


/**
 * 角色
 * @author xkliu
 * @since 1.0.0
 */
//@Api(tags = "用户组")
@Slf4j
@SwService
public class UserGroupListService {
    @SwParam
    private DbEngine dbEngine;

//    @ApiOperation(value = "用户组列表", nickname = "1.0.2", response = RolePO.class)
    public R list() {
        List<UserGroupPO> userGroupPos = dbEngine.query("SELECT ug_id, ug_name, ug_create_time, ug_last_time FROM sw_bpm.bpm_user_group", UserGroupPO.class);
        return R.success(userGroupPos);
    }
}
