package cc.smtweb.system.bpm.web.task.service;

import cc.smtweb.framework.core.common.R;
import cc.smtweb.framework.core.annotation.SwParam;
import cc.smtweb.framework.core.annotation.SwService;
import cc.smtweb.framework.core.db.DbEngine;
import cc.smtweb.framework.core.session.UserSession;
import cc.smtweb.system.bpm.engine.process.impl.entity.TaskPO;
import cc.smtweb.system.bpm.spring.IProcessEngine;

import java.util.List;

//@RequestMapping("bpm/task")
// "工作流任务接口"
@SwService
public class BpmTaskListService {
  @SwParam
  private DbEngine dbEngine;

  @SwParam
  private IProcessEngine processEngine;

//  @ApiOperation(value = "读取任务列表")
  public R list(UserSession us) {
    List<TaskPO> taskPOS = dbEngine.query("select task_id,task_ui_id,task_assignee_uid,task_name,task_priority,task_create_time,task_last_time from sw_bpm.bpm_task where task_assignee_uid=? order by task_last_time desc", TaskPO.class, us.getUserId());

    return R.success(taskPOS);
  }
}
