package cc.smtweb.system.bpm.web.engine.dynPage;

import cc.smtweb.framework.core.common.SwMap;
import cc.smtweb.framework.core.mvc.service.SwListData;
import lombok.Data;

/**
 * Created by Akmm at 2022/4/21 19:26
 * 动态页面加载
 */
@Data
public class DynRetBean {
    //单个表单
    private SwMap form = null;
    //列表返回
    private SwListData list = null;

    public static DynRetBean createBean(SwMap form) {
        DynRetBean bean = new DynRetBean();
        bean.form = form;
        return bean;
    }

    public static DynRetBean createList(SwListData list) {
        DynRetBean bean = new DynRetBean();
        bean.list = list;
        return bean;
    }
/*
    public static DynRetBean createTree(SwListData list) {
        DynRetBean bean = new DynRetBean();
        bean.list = list;
        return bean;
    }*/
}
