package cc.smtweb.system.bpm.web.engine.flow.define;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by Akmm at 2022/5/23 14:25
 * 审批意见
 */
@SwTable("WF_COMMENT")
public class CommentEntity extends DefaultEntity {
    public static final String ENTITY_NAME = "WF_COMMENT";

    public CommentEntity() {
        super(ENTITY_NAME);
    }

    public long getId() {
        return getLong("cmt_id");
    }

    public void setId(long cmtId) {
        put("cmt_id", cmtId);
    }

    public long getPriId() {
        return getLong("cmt_pri_id");
    }

    public void setPriId(long cmtPriId) {
        put("cmt_pri_id", cmtPriId);
    }

    public long getTskId() {
        return getLong("cmt_tsk_id");
    }

    public void setTskId(long cmtTskId) {
        put("cmt_tsk_id", cmtTskId);
    }

    public long getUserId() {
        return getLong("cmt_user_id");
    }

    public void setUserId(long cmtUserId) {
        put("cmt_user_id", cmtUserId);
    }

    public String getContent() {
        return getStr("cmt_content");
    }

    public void setContent(String cmtContent) {
        put("cmt_content", cmtContent);
    }

    public long getTime() {
        return getLong("cmt_time");
    }

    public void setTime(long cmtTime) {
        put("cmt_time", cmtTime);
    }
}
