package cc.smtweb.system.bpm.web.engine.flow.define;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by Akmm at 2022/5/23 14:25
 * 流程实例
 */
@SwTable("WF_PROCINST")
public class ProcinstEntity extends DefaultEntity {
    public static final String ENTITY_NAME = "WF_PROCINST";

    public ProcinstEntity() {
        super(ENTITY_NAME);
    }

    public long getId() {
        return getLong("pri_id");
    }

    public void setId(long priId) {
        put("pri_id", priId);
    }

    public String getBillCode() {
        return getStr("pri_bill_code");
    }

    public void setBillCode(String priBillCode) {
        put("pri_bill_code", priBillCode);
    }

    public long getMakeDate() {
        return getLong("pri_make_date");
    }

    public void setMakeDate(long priMakeDate) {
        put("pri_make_date", priMakeDate);
    }

    public int getBillType() {
        return getInt("pri_bill_type");
    }

    public void setBillType(int priBillType) {
        put("pri_bill_type", priBillType);
    }

    public long getPartyId() {
        return getLong("pri_party_id");
    }

    public void setPartyId(long priPartyId) {
        put("pri_party_id", priPartyId);
    }

    public long getDeptId() {
        return getLong("pri_dept_id");
    }

    public void setDeptId(long priDeptId) {
        put("pri_dept_id", priDeptId);
    }

    public String getBillDesc() {
        return getStr("pri_bill_desc");
    }

    public void setBillDesc(String priBillDesc) {
        put("pri_bill_desc", priBillDesc);
    }

    public long getPrcId() {
        return getLong("pri_prc_id");
    }

    public void setPrcId(long priPrcId) {
        put("pri_prc_id", priPrcId);
    }

    public long getStartTime() {
        return getLong("pri_start_time");
    }

    public void setStartTime(long priStartTime) {
        put("pri_start_time", priStartTime);
    }

    public long getEndTime() {
        return getLong("pri_end_time");
    }

    public void setEndTime(long priEndTime) {
        put("pri_end_time", priEndTime);
    }

    public long getUserId() {
        return getLong("pri_user_id");
    }

    public void setUserId(long priUserId) {
        put("pri_user_id", priUserId);
    }

    public long getTaskId() {
        return getLong("pri_task_id");
    }

    public void setTaskId(long priTaskId) {
        put("pri_task_id", priTaskId);
    }

    public int getStatu() {
        return getInt("pri_statu");
    }

    public void setStatu(int priStatu) {
        put("pri_statu", priStatu);
    }

    public String getBillInfo() {
        return getStr("pri_bill_info");
    }

    public void setBillInfo(String priBillInfo) {
        put("pri_bill_info", priBillInfo);
    }
}
