package cc.smtweb.system.bpm.web.engine.flow.define;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by Akmm at 2022/5/23 14:25
 * 活动实例
 */
@SwTable("WF_TASK")
public class TaskEntity extends DefaultEntity {
    public static final String ENTITY_NAME = "WF_TASK";

    public TaskEntity() {
        super(ENTITY_NAME);
    }

    public long getId() {
        return getLong("tsk_id");
    }

    public void setId(long tskId) {
        put("tsk_id", tskId);
    }

    public long getPriId() {
        return getLong("tsk_pri_id");
    }

    public void setPriId(long tskPriId) {
        put("tsk_pri_id", tskPriId);
    }

    public long getPrcId() {
        return getLong("tsk_prc_id");
    }

    public void setPrcId(long tskPrcId) {
        put("tsk_prc_id", tskPrcId);
    }

    public String getActId() {
        return getStr("tsk_act_id");
    }

    public void setActId(String tskActId) {
        put("tsk_act_id", tskActId);
    }

    public String getActName() {
        return getStr("tsk_act_name");
    }

    public void setActName(String tskActName) {
        put("tsk_act_name", tskActName);
    }

    public long getHandler() {
        return getLong("tsk_handler");
    }

    public void setHandler(long tskHandler) {
        put("tsk_handler", tskHandler);
    }

    public long getStartTime() {
        return getLong("tsk_start_time");
    }

    public void setStartTime(long tskStartTime) {
        put("tsk_start_time", tskStartTime);
    }

    public long getEndTime() {
        return getLong("tsk_end_time");
    }

    public void setEndTime(long tskEndTime) {
        put("tsk_end_time", tskEndTime);
    }

    public int getStatu() {
        return getInt("tsk_statu");
    }

    public void setStatu(int tskStatu) {
        put("tsk_statu", tskStatu);
    }

    public String getSubmitIdea() {
        return getStr("tsk_submit_idea");
    }

    public void setSubmitIdea(String tskSubmitIdea) {
        put("tsk_submit_idea", tskSubmitIdea);
    }

    public boolean isMake() {
        return getBool("tsk_is_make");
    }

    public void setMake(boolean tskIsMake) {
        setBool("tsk_is_make", tskIsMake);
    }

    public boolean isSign() {
        return getBool("tsk_is_sign");
    }

    public void setSign(boolean tskIsSign) {
        setBool("tsk_is_sign", tskIsSign);
    }

    public String getSignTotal() {
        return getStr("tsk_sign_total");
    }

    public void setSignTotal(String tskSignTotal) {
        put("tsk_sign_total", tskSignTotal);
    }

    public int getSignPass() {
        return getInt("tsk_sign_pass");
    }

    public void setSignPass(int tskSignPass) {
        put("tsk_sign_pass", tskSignPass);
    }

    public int getSignAgree() {
        return getInt("tsk_sign_agree");
    }

    public void setSignAgree(int tskSignAgree) {
        put("tsk_sign_agree", tskSignAgree);
    }

    public boolean getIsReject() {
        return getBool("tsk_is_reject");
    }

    public void setReject(boolean tskIsReject) {
        setBool("tsk_is_reject", tskIsReject);
    }

    public boolean isRetake() {
        return getBool("tsk_is_retake");
    }

    public void setIsRetake(boolean tskIsRetake) {
        setBool("tsk_is_retake", tskIsRetake);
    }

    public boolean isAuto() {
        return getBool("tsk_is_auto");
    }

    public void setIsAuto(boolean tskIsAuto) {
        setBool("tsk_is_auto", tskIsAuto);
    }
}
