package cc.smtweb.system.bpm.web.engine.flow.define;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by Akmm at 2022/5/23 14:25
 * 活动之间的关系
 */
@SwTable("WF_CARE")
public class TaskRelEntity extends DefaultEntity {
    public static final String ENTITY_NAME = "WF_CARE";

    public TaskRelEntity() {
        super(ENTITY_NAME);
    }

    public long getId() {
        return getLong("trl_id");
    }

    public void setId(long trlId) {
        put("trl_id", trlId);
    }

    public long getPriId() {
        return getLong("trl_pri_id");
    }

    public void setPriId(long trlPriId) {
        put("trl_pri_id", trlPriId);
    }

    public long getSrcTaskId() {
        return getLong("trl_src_task_id");
    }

    public void setSrcTaskId(long trlSrcTaskId) {
        put("trl_src_task_id", trlSrcTaskId);
    }

    public long getDstTaskId() {
        return getLong("trl_dst_task_id");
    }

    public void setDstTaskId(long trlDstTaskId) {
        put("trl_dst_task_id", trlDstTaskId);
    }
}
